Bug 97714 - Connection refused by [127.0.0.1]
Connection refused by [127.0.0.1]
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
9
i386 Linux
high Severity high
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 13:39 EDT by Charles A.
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-30 10:35:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles A. 2003-06-19 13:39:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Hi,

I am running redhat linux 9 on my system.

-My Mozilla mail client can send and receive emails.
-My webmail (squirrelmail) can ONLY receive emails. Note: mails sent out by
squirrelmail never get to their destinations.

I took a loot at my mail log file and this is what I find:

Jun 15 04:47:59 interactives sm-msp-queue[10337]: h5C6Ms1o002361:
to=<chstudio7@yahoo.com>, delay=3+05:25:05, xdelay=00:00:00, mailer=relay,
pri=7050663, relay=[127.0.0.1], dsn=4.0.0, stat=Deferred: Connection refused by
[127.0.0.1]

What could possibly be the problem here?
Thank you.
Charles

Version-Release number of selected component (if applicable):
kernel 2.4.20-8, kernel 2.4.20-18.9, sendmail 8.12.8-5.90

How reproducible:
Always

Steps to Reproduce:
1. I log into webmail or use (run) a testmail php script on a web browser
2. then send an email to different (outside) accounts.
3. Email never gets to its destination
4. Check my maillog file, and there is a 'connection refused' problem

    

Actual Results:  Mail never gets to its destination, even though I usually get a
confirmation message saying: "Your mail yas been sent"

Expected Results:  Sendmail should successfully connect to [127.0.0.1] and
deliver the mail

Additional info:

I am running redhat linux 9 on my machine (i386) as a server (installation)
package.  Recently upgraded (kernel) packages that needed upgrade from Red Hat
Networks (RHN).

Despite all these, the 'Connection refused' problem remains
Comment 1 Florian La Roche 2003-06-30 10:35:42 EDT
Seems to work fine for me and I can only suspect configuration problems
on your installed server. Please look into the log files for this.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.